SimpleBeanContainer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.beanbox
Class SimpleBeanContainer

    java.lang.Object
      com.bbn.openmap.layer.beanbox.SimpleBeanObject
          com.bbn.openmap.layer.beanbox.SimpleBeanContainer

All Implemented Interfaces:
  BeanContainer

    public class SimpleBeanContainer

extends SimpleBeanObject
implements BeanContainer

A SimpleBeanContainer is itself a bean. Hence this class extends the `SimpleBeanObject`. SimpleBeanContainer is a sample implementation of the `BeanContainer`interface.

Field Summary

Fields inherited from class com.bbn.openmap.layer.beanbox.SimpleBeanObject
`bearingInDeg, customGraphicClassName, graphicImage, id, latitude, longitude`

Constructor Summary
`SimpleBeanContainer()`
`SimpleBeanContainer(long id, float centerLatitude, float centerLongitude, float bearingInDeg, float widthInNM, float heightInNM, BeanLayoutManager layoutManager)`

Method Summary
`void` | `add(java.lang.Object bean)` adds the specified bean object to this container.
`boolean` | `contains(java.lang.Object obj)` checks if the specified bean lies in this container.
`float` | `getBottomLatitude()`
`java.util.Vector` | `getContents()` gets the contents of this container as a vector of bean objects.
`float` | `getHeightInNM()`
`BeanLayoutManager` | `getLayout()` gets the layout manager bean assocciated with this container.
`java.lang.String` | `getLayoutClass()` gets the class name of the layout manager bean assocciated with this container.
`float` | `getLeftLongitude()`
`float` | `getRightLongitude()`
`float` | `getTopLatitude()`
`float` | `getWidthInNM()`
`void` | `remove(java.lang.Object bean)` removes the specified bean object from this container.
`void` | `removeAll()` removes all beans from this container.
`void` | `setBearingInDeg(float bearingInDeg)`
`void` | `setContents(java.util.Vector contents)` sets the contents of this container as a vector of bean objects.
`void` | `setHeightInNM(float h)`
`void` | `setLatitude(float lat)`
`void` | `setLayout(BeanLayoutManager layout)` sets the layout manager bean assocciated with this container.
`void` | `setLayoutClass(java.lang.String lc)` sets the class name of the layout manager bean assocciated with this container.
`void` | `setLongitude(float lon)`
`void` | `setWidthInNM(float w)`
`java.lang.String` | `toString()`
`void` | `validate()` calling this method is meant to generate a call to the layout manager's layoutContainer method.

Methods inherited from class com.bbn.openmap.layer.beanbox.SimpleBeanObject
`getBearingInDeg, getCustomGraphicClassName, getGraphicImage, getId, getLatitude, getLongitude, setCustomGraphicClassName, setGraphicImage, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleBeanContainer

    public SimpleBeanContainer()

### SimpleBeanContainer

    public SimpleBeanContainer(long id,
                               float centerLatitude,
                               float centerLongitude,
                               float bearingInDeg,
                               float widthInNM,
                               float heightInNM,
                               BeanLayoutManager layoutManager)

Method Detail

### getContents

    public java.util.Vector getContents()

  Description copied from interface: `BeanContainer`
  gets the contents of this container as a vector of bean objects.

  Specified by:
    `getContents` in interface `BeanContainer`

### setContents

    public void setContents(java.util.Vector contents)

  Description copied from interface: `BeanContainer`
  sets the contents of this container as a vector of bean objects.

  Specified by:
    `setContents` in interface `BeanContainer`

### add

    public void add(java.lang.Object bean)

  Description copied from interface: `BeanContainer`
  adds the specified bean object to this container.

  Specified by:
    `add` in interface `BeanContainer`

### remove

    public void remove(java.lang.Object bean)

  Description copied from interface: `BeanContainer`
  removes the specified bean object from this container.

  Specified by:
    `remove` in interface `BeanContainer`

### removeAll

    public void removeAll()

  Description copied from interface: `BeanContainer`
  removes all beans from this container.

  Specified by:
    `removeAll` in interface `BeanContainer`

### contains

    public boolean contains(java.lang.Object obj)

  Description copied from interface: `BeanContainer`
  checks if the specified bean lies in this container.

  Specified by:
    `contains` in interface `BeanContainer`

### getLayout

    public BeanLayoutManager getLayout()

  Description copied from interface: `BeanContainer`
  gets the layout manager bean assocciated with this container.

  Specified by:
    `getLayout` in interface `BeanContainer`

### setLayout

    public void setLayout(BeanLayoutManager layout)

  Description copied from interface: `BeanContainer`
  sets the layout manager bean assocciated with this container. The layout manager bean is responsible for laying out the contents of this container.

  Specified by:
    `setLayout` in interface `BeanContainer`

### getLayoutClass

    public java.lang.String getLayoutClass()

  Description copied from interface: `BeanContainer`
  gets the class name of the layout manager bean assocciated with this container.

  Specified by:
    `getLayoutClass` in interface `BeanContainer`

### setLayoutClass

    public void setLayoutClass(java.lang.String lc)

  Description copied from interface: `BeanContainer`
  sets the class name of the layout manager bean assocciated with this container.

  Specified by:
    `setLayoutClass` in interface `BeanContainer`

### validate

    public void validate()

  Description copied from interface: `BeanContainer`
  calling this method is meant to generate a call to the layout manager's layoutContainer method.

  Specified by:
    `validate` in interface `BeanContainer`

### setLatitude

    public void setLatitude(float lat)

  Overrides:
    `setLatitude` in class `SimpleBeanObject`

### setLongitude

    public void setLongitude(float lon)

  Overrides:
    `setLongitude` in class `SimpleBeanObject`

### setBearingInDeg

    public void setBearingInDeg(float bearingInDeg)

  Overrides:
    `setBearingInDeg` in class `SimpleBeanObject`

### getWidthInNM

    public float getWidthInNM()

### setWidthInNM

    public void setWidthInNM(float w)

### getHeightInNM

    public float getHeightInNM()

### setHeightInNM

    public void setHeightInNM(float h)

### getBottomLatitude

    public float getBottomLatitude()

### getRightLongitude

    public float getRightLongitude()

### getTopLatitude

    public float getTopLatitude()

### getLeftLongitude

    public float getLeftLongitude()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleBeanObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details